using System;
using System.Collections.Generic;
using System.Reflection;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Content.Pipeline;
using Microsoft.Xna.Framework.Content.Pipeline.Graphics;
using Microsoft.Xna.Framework.Content.Pipeline.Processors;
using Microsoft.Xna.Framework.Content.Pipeline.Serialization.Compiler;

using TWrite = GhostArena3DCustomContent.GhostArena3DCompiledData;

namespace GhostArena3DCustomContent
{
   [ContentTypeWriter]
   public class GhostArena3DWriter : ContentTypeWriter<TWrite>
   {
      protected override void Write(ContentWriter output, TWrite value)
      {
         output.Write(value.Data.Length);
         
         for(int i = 0; i < value.Data.Length; i++)
            output.Write(value.Data[i]);
      }
      
      public override string GetRuntimeType(TargetPlatform targetPlatform)
      {
         return typeof(Vector3[]).AssemblyQualifiedName;
      }


      public override string GetRuntimeReader(TargetPlatform targetPlatform)
      {
         return "GhostArena3D.GhostArena3DReader, GhostArena3D, Version=2.0.0.0, Culture=neutral";
      }
   }
}
